
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>深入谈谈java的枚举(enum)类型_java / iVAN</title>

    <meta name="description" content="深入谈谈java的枚举(enum)类型_java 前言 在大家日常编程中,往往存在着这样的&quot;数据集&quot;,它们的数值在程序中是稳定的,而且&quot;数据集&quot;中的元素是有限的.例如星期一到星期日七个数据元素组成了一周的&quot;数据集&quot;,春夏秋冬四个数据元素组成了四季的&quot;数据集&quot;.在java中如何更好的使用这些&quot;数据集&quot;呢?因此枚举便派上了用场 枚举其实就是一种类型,跟int, char 这种差不多,就是定义变量时限制输入的,你只能够赋enum里面规定的值. 枚举(e ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">深入谈谈java的枚举(enum)类型_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>前言</strong></p>
<p>在大家日常编程中，往往存在着这样的“数据集”，它们的数值在程序中是稳定的，而且“数据集”中的元素是有限的。例如星期一到星期日七个数据元素组成了一周的“数据集”，春夏秋冬四个数据元素组成了四季的“数据集”。在java中如何更好的使用这些“数据集”呢？因此枚举便派上了用场</p>
<p>枚举其实就是一种类型，跟int, char 这种差不多，就是定义变量时限制输入的，你只能够赋enum里面规定的值。</p>
<p><strong>枚举(enum)实现</strong></p>
<p>JDK5中提供了Java枚举类型的实现，与其说是一种新类型，倒不如说是一种语法糖。</p>
<pre>
public enum Season {
 SPRING,
 SUMMER,
 AUTUMN,
 WINTER
}</pre>
<p>通过反编译工具来看看这段代码是如何实现的，反编译后的代码如下：</p>
<pre>
public final class Season extends Enum {

 public static Season[] values() {
  return (Season[])$VALUES.clone();
 }

 public static Season valueOf(String s) {
  return (Season)Enum.valueOf(Season, s);
 }

 private Season(String s, int i) {
  super(s, i);
 }

 public static final Season SPRING;
 public static final Season SUMMER;
 public static final Season AUTUMN;
 public static final Season WINTER;
 private static final Season $VALUES[];

 static {
  SPRING = new Season("SPRING", 0);
  SUMMER = new Season("SUMMER", 1);
  AUTUMN = new Season("AUTUMN", 2);
  WINTER = new Season("WINTER", 3);
  $VALUES = (new Season[] {
   SPRING, SUMMER, AUTUMN, WINTER
  });
 }
}</pre>
<p>通过反编译的代码可以发现：</p>
<p>1、<code>Season</code>是一个普通的类，继承自<code>Enum</code>，并通过<code>final</code>关键字修饰，避免被继承，</p>
<p>2、枚举中的<code>SPRING</code>、<code>SUMMER</code>、<code>AUTUMN</code>和<code>WINTER</code>是<code>Season</code>类的静态实例，并在类构造器<code>&lt;clinit&gt;</code>方法中进行初始化。</p>
<p>3、<code>values()</code>方法返回私有变量<code>$VALUES[]</code>的副本，<code>$VALUES[]</code>也是在<code>&lt;clinit&gt;</code>方法中进行初始化。</p>
<p><strong>如何使用枚举(enum)</strong></p>
<p><strong>1、单例模式</strong></p>
<p>我们已经知道类构造器<code>&lt;clinit&gt;</code>只能被一个线程在类加载的初始化阶段进行执行，所以枚举的每个实例在Java堆中有且只有一个副本，这种特性让枚举很容易就实现了单例模式，这也正是Effective Java作者 Josh Bloch 提倡使用实现单利模式的方式。</p>
<pre>
public enum Singleton { INSTANCE;}</pre>
<p><strong>2、在switch中使用</strong></p>
<p><strong>3、自定义字段和方法</strong></p>
<p>枚举(enum)中除了默认字段和方法之外，可以针对业务逻辑进行自定义。</p>
<pre>
public enum EnumTest {
 PLUS("+") {
  @Override
  public int bind(int arg1, int arg2) {
   return arg1 + arg2;
  }
 },
 SUB("-") {
  @Override
  public int bind(int arg1, int arg2) {
   return arg1 - arg2;
  }
 };

 final String operation;

 EnumTest(String operation) {
  this.operation = operation;
 }

 abstract int bind(int arg1, int arg2);
}</pre>
<p><strong>4、实现接口</strong></p>
<pre>
interface Operation{
 int operate(int arg1, int arg2);
}

public enum EnumTest implements Operation {

 PLUS("+") {
  @Override
  public int operate(int arg1, int arg2) {
   return arg1 + arg2;
  }
 },
 SUB("-") {
  @Override
  public int operate(int arg1, int arg2) {
   return arg1 - arg2;
  }
 };

 final String operation;

 EnumTest(String operation) {
  this.operation = operation;
 }
}</pre>
<p>在实际应用中，可以把 "+"、"-" 作为key，PLUS和SUB作为<code>value</code>，预先保存在<code>hashMap</code>中，具体使用方式如下：</p>
<pre>
Operation operation = hashMap.get("+");
int result = operation.bind(1, 2);</pre>
<p><strong>总结</strong></p>
<p>以上就是关于Java中枚举类型的全部内容了，希望通过本文对java中枚举的介绍，能够给大家带来帮助。如果有疑问大家可以留言交流。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java枚举类型定义<br />
                                    枚举类型enum用法、java枚举类型enum用法、c 枚举类型enum用法、ios枚举类型enum用法、php枚举类型enum用法，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 06:54:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java%e6%9e%9a%e4%b8%be%e7%b1%bb%e5%9e%8b%e5%ae%9a%e4%b9%89/" title="java枚举类型定义">java枚举类型定义</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>深入谈谈java的枚举(enum)类型_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpP84Dp.html" rel="bookmark">Jsdk5&period;0中新增枚举enum类型使用例解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js 作者:Junsan Jin 日期:2005-03-25 邮箱:junsan21@126.com ; junnef21@sohu.com Jsdk5.0中新增了很多的特性,如泛型.增强的循环.改进的装.拆箱.静态引入等,大大增强了java语言的易用性. 我现在正在做一个从com+(dcom)平台到j2ee平台移植的项目,中间有很多枚举类型的定义,以前做起来要引入第三方类库,或者自己写类库,或者干脆定义成静态变量使用,很不方便,而且可能会产生很多问题.Jsdk5.0的发布正好解决了这些问题.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDr5XM.html" rel="bookmark">Java 语言中 Enum 类型的使用介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Enum 类型的介绍 枚举类型(Enumerated Type) 很早就出现在编程语言中,它被用来将一组类似 的值包含到一种类型当中.而这种枚举类型的名称则会被定义成独一无二的类型描述符,在这一点上和常量的 定义相似.不过相比较常量类型,枚举类型可以为申明的变量提供更大的取值范围. 举个例子来说明 一下,如果希望为彩虹描绘出七种颜色,你可以在 Java 程序中通过常量定义方式来实现. 清单 1. 常量定义 Public static class RainbowColor { // 红橙黄绿青蓝紫			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydoWlb.html" rel="bookmark">java自定义枚举转换器示例&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java自定义枚举转换器 复制代码 代码如下: import org.apache.commons.beanutils.Converter; /** * 自定义枚举转换器 *  *  */public class MyEnumConverter implements Converter {  @Override // 将value 转换为 c类型 --- 枚举通用转换器 public Object convert(Class c, Object value) {  String strVal =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYvV9b.html" rel="bookmark">深入理解Java中的字符串类型&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Java内置对字符串的支持: 所谓的内置支持,即不用像C语言通过char指针实现字符串类型,并且Java的字符串编码是符合Unicode编码标准,这也意味着不用像C++那样通过使用string和wstring类实现与C语言兼容和Unicode标准.Java内部通过String类实现对字符串类型的支持.这意味着:我们可以直接对字符串常量调用和String对象同样的方法: //可以再&quot;abc&quot;上直接调用String对象的所有方法 int length=&quot;abc&quot;.l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZE4Lap.html" rel="bookmark">介绍Java语言中枚举类型及如何定制Enum类型的定义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Enum 类型的介绍 枚举类型(Enumerated Type) 很早就出现在编程语言中,它被用来将一组类似的值包含到一种类型当中.而这种枚举类型的名称则会被定义成http://www.aliyun.com/zixun/aggregation/30537.html&quot;&gt;独一无二的类型描述符,在这一点上和常量的定义相似.不过相比较常量类型,枚举类型可以为申明的变量提供更大的取值范围. 举个例子来说明一下,如果希望为彩虹描绘出七种颜色,你可以在 Java 程序中通过常量定义方式来实现. 清单 1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlXQ8p.html" rel="bookmark">Java枚举&lpar;enum&rpar; 详解7种常见的用法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JDK1.5引入了新的类型--枚举.在 Java 中它虽然算个&quot;小&quot;功能,却给我的开发带来了&quot;大&quot;方便.  用法一:常量 在JDK1.5 之前,我们定义常量都是: public static fianl.... .现在好了,有了枚举,可以把相关的常量分组到一个枚举类型里,而且枚举提供了比常量更多的方法. public enum Color { RED, GREEN, BLANK, YELLOW } 用法二:switch JDK1.6之前的switch语句只支持int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYOgob.html" rel="bookmark">Java的枚举类型使用方法详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.背景在java语言中还没有引入枚举类型之前,表示枚举类型的常用模式是声明一组具有int常量.之前我们通常利用public final static 方法定义的代码如下,分别用1 表示春天,2表示夏天,3表示秋天,4表示冬天. public class Season { public static final int SPRING = 1; public static final int SUMMER = 2; public static final int AUTUMN = 3; publi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QOKAp.html" rel="bookmark">简单谈谈Java中String类型的参数传递问题&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提要:本文从实现原理的角度上阐述和剖析了:在Java语言中,以 String 作为类型的变量在作为方法参数时所表现出的&quot;非对象&quot;的特性. 一.最开始的示例 写代码最重要的就是实践,不经过反复试验而得出的说辞只能说是凭空遐想罢了.所以,在本文中首先以一个简单示例来抛出核心话题: public class StringAsParamOfMethodDemo { public static void main(String[] args) { StringAsParamOfMethodDem			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Wrlmb.html" rel="bookmark">谈谈Java中整数类型（short int long）的存储方式&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在java中的整数类型有四种,分别是 byte  short int long 其中byte只有一个字节 0或1,在此不详细讲解. 其他的三种类型如下: 1. 基本类型:short 二进制位数:16 包装类:java.lang.Short 最小值:Short.MIN_VALUE=-32768 (-2的15此方) 最大值:Short.MAX_VALUE=32767 (2的15次方-1) 2. 基本类型:int 二进制位数:32 包装类:java.lang.Integer 最小值:Integer.M			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg3lBM.html" rel="bookmark" class="title">win8现代人的移动网络社交生活</a>
					<div>
						  功能齐全:新浪微博 软件简介:新浪微博Windows 8官方客户端,分享微博改变你的生活.专为Windows 8用户打造的新浪微博客户端,实现了阅读.发布.评论.转发.关注.搜索等主要功能,支持本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyy5EM.html" rel="bookmark" class="title">如何根据百度要求进行综合性的seo优化好网站</a>
					<div>
						1.对百度公布的算法理解出现偏差,导致错误优化. 复制了别人的网站,从2010年开始,做到权7之后,降到了现在的权重1.例如外链数量越多越好,但实际上是广度越多越好! 2.百度算法一直再变,优化思路却 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnr6Bz.html" rel="bookmark" class="title">PS制作非常漂亮的编织字</a>
					<div>
						  编织字最快的制作方法就是直接使用编织纹理;制作之前先定义好图案;然后快速用图层样式给文字增加编织图案,描边部分也增加一些图案,再增加一些质感即可. 最终效果 1.教程开始之前,我们先来定义一款图案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EjYrM.html" rel="bookmark" class="title">8000元GTX1070高端电脑IDY配置推荐</a>
					<div>
						  三联小编为大家推荐一套8000元低调奢华i7-6700/GTX1070均衡高性价比电脑配置,注重高端体验.均衡与性价比的玩家不妨一起来看看. 低调奢华高性价比 8000元i7-6700/GTX10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd68e6b.html" rel="bookmark" class="title">进入windows 7 64位系统后输入账号密码登录时变成黑屏怎么办</a>
					<div>
						  原因分析:exploer.exe进程导致的 输入登录账号密码以后出现故障和问题,跟开机立刻黑屏故障有本质区别,而因为跟登录账户有一定关联,所以可以断定是因为exploer.exe进程造成的. 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5og97b.html" rel="bookmark" class="title">Mac平台最重要的十款游戏盘点</a>
					<div>
						  3月26日消息,随着苹果电脑越来越流行,很多Windows系统下的当红软件都纷纷移植到Mac操作系统上来了.各大游戏厂商自然也不会放弃这个曾经小众但现在却越来越有潜力的市场,将目光投向了苹果电脑用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNWwYz.html" rel="bookmark" class="title">jQuery 图片切换插件&lpar;代码比较少&rpar;&lowbar;jquery</a>
					<div>
						复制代码 代码如下: // JavaScript Document ;(function($){ $.fn.extend({ &quot;zj_ppt&quot;:function(value){ / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2N3Eb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;语音恐惧症&rdquo;成为网络上一个热门话题</a>
					<div>
						&quot;微信.QQ发来语音,不愿说话回复,而是纯文字回复;语音聊天不到三句就没话了;语音聊天尴尬,纯文字却聊得火热&quot;,如果以上症状都符合,那么恭喜你,你极有可能患上了&quot;语音恐惧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw14dp.html" rel="bookmark" class="title">&lpar;转载&rpar;nis2010延续完美</a>
					<div>
						问题描述 本人一直在使用诺顿的杀软,对nis的更是情有独钟,从nis2008到nis2009,现在又将使用nis的2010.所以也非常高兴能完成这份试用报告,期待诺顿公司有更好的产品带给我们消费者!本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPJGZp.html" rel="bookmark" class="title">A请求B好友，B同意了，为啥在B的好友里有A，A的好友里没有B</a>
					<div>
						问题描述 解决方案 我也遇到同样的问题,求解解决方案二:后来又好了,不知道为什么					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPd6qp.html" rel="bookmark" class="title">谁能解决这个vs&period;net2005水晶报表系统问题我就服谁</a>
					<div>
						问题描述 rn一创建水晶报表就提示&quot;打开文档错误&quot;,&quot;创建Crystal查询引擎失败&quot;.我把vs.net2005重装了都不好使.就相当于水晶报表现在根本不能用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qq08p.html" rel="bookmark" class="title">aspnet-求定时采集数据的demo</a>
					<div>
						问题描述 求定时采集数据的demo 各位大神,谁有定时采集数据的demo,或者给点思路.需要实现的是比如每隔五分钟自动采集www.xxxxxx.com/a.xml的数据.然后保存到数据库. 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR0qOp.html" rel="bookmark" class="title">windows xp的ttf提取点阵字模的开发</a>
					<div>
						问题描述 windows xp的ttf提取点阵字模的开发 keil c51单片机如何读取windows xp的C++产生的点阵字模 解决方案 http://blog.csdn.net/tianyaju ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZodKp.html" rel="bookmark" class="title">CAS单点登录原理图</a>
					<div>
						最近忙死了,很久都没写博客了.公司要做SSO应用,有部门有需求希望能够在自己的应用端定义登陆页面,而不是登陆全跳转到CAS统一登陆界面.看了下CAS服务器端源码,还算好懂,于是脱了衣服开始搞..... ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKW33b.html" rel="bookmark" class="title">如何创建按钮数组</a>
					<div>
						问题描述 如何创建按钮数组 解决方案 解决方案二:Button[]array=newButton[10];Button[]array=newButton[]{newButton(),newButton ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBAdOM.html" rel="bookmark" class="title">应大力鼓励中小学生使用网络</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60AZOz.html" rel="bookmark" class="title">ip地址-cain的问题，扫描不到存活主机，仅能扫描到网关地址</a>
					<div>
						问题描述 cain的问题,扫描不到存活主机,仅能扫描到网关地址 配置网卡的真实网卡,ip地址显示为255.255.255...,而不是实际ip地址,希望有高手帮忙看一下,多谢了 (仅为技术,不搞别的) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyWyXz.html" rel="bookmark" class="title">devc&plus;&plus;-我是32位系统，安装了DEVc&plus;&plus;之后运行之后显示的是这个，请问要怎么解决啊？</a>
					<div>
						问题描述 我是32位系统,安装了DEVc++之后运行之后显示的是这个,请问要怎么解决啊? 解决方案 1.按yes,让程序自己找,如果你什么也不知道的话. 2.如果你知道目录结构,找到你的MinGW64 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnL3yM.html" rel="bookmark" class="title">EXE文件解析远程代码执行漏洞精简版</a>
					<div>
						此文章主要讲述的是EXE文件解析远程的代码执行漏洞,以下就是文章就是对EXE文件解析远程的代码执行漏洞的主要内容的详细描述,望大家在浏览之后会对其有更深的了解,望大家能有所收获.受影响系统:Panda ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNlVKM.html" rel="bookmark" class="title">java synchronized-java  synchronized问题 求指导</a>
					<div>
						问题描述 java synchronized问题 求指导 import java.util.LinkedList; public class Test3 { LinkedList storage= n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgVQRM.html" rel="bookmark" class="title">&lbrack;C3P0&rsqb;数据源死锁&comma;求助&comma;APPARENT DEADLOCK&excl;&excl;&excl;</a>
					<div>
						问题描述 2014-09-0410:31:19,672[//--]ERRORcom.buyantech.rss.dao.InfoDao-Networkorlinkfails,trytogettheli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eV8qb.html" rel="bookmark" class="title">关于按键扫描问题－－哪位大哥帮我看一下我的程序问题出在哪里。</a>
					<div>
						问题描述 我要检测按键是否按顺序输入,若不按顺序则报警.但我写的程序怎么按哪个按键都报警啊.程序如下:#include&lt;reg51.h&gt;#defineucharunsignedchar#d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJVDdp.html" rel="bookmark" class="title">宽带资本领衔四大VC注资3G门户</a>
					<div>
						2010-07-07消息 田溯宁看准了移动互联网的潜力,再度投入重金.昨日,http://www.aliyun.com/zixun/aggregation/12572.html&quot;&gt;3G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod1Q3M.html" rel="bookmark" class="title">北航蔡维德：区块链的新计算基础设施 &vert; CCF-GAIR 2017</a>
					<div>
						2017年7月7日至9日,全球人工智能与机器人峰会CCF-GAIR大会在深圳成功举办.本次由CCF中国计算机学会主办.雷锋网与香港中文大学(深圳)承办.来自全球30多位顶级院士.近300家AI明星AI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWPDlz.html" rel="bookmark" class="title">asp控件和html控件的概念区别&lowbar;实用技巧</a>
					<div>
						首先我们说说二者的概念区别吧(相信大家都清楚) 1. asp控件是服务端控件,html是客户端控件. 2. asp控件在服务端解析后,会转化为html控件使得客户端浏览器能够显示出来.也就是说最终的产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGreRkp.html" rel="bookmark" class="title">Jquery中children与find之间的区别详细解析&lowbar;jquery</a>
					<div>
						首先看一段HTML代码,如下: 复制代码 代码如下: &lt;table id=&quot;tb&quot;&gt;            &lt;tr&gt;                &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEXm3z.html" rel="bookmark" class="title">button  添加  css样式</a>
					<div>
						问题描述 &lt;!DOCTYPEhtmlPUBLIC&quot;-//W3C//DTDXHTML1.0Transitional//EN&quot;&quot;http://www.w3.org/TR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8PB0p.html" rel="bookmark" class="title">php 显示-HTML&sol;PHP 如何读取指定txt内容从而排版显示？</a>
					<div>
						问题描述 HTML/PHP 如何读取指定txt内容从而排版显示? 例 1.txt 内容为 &quot;123&quot; &quot;123 12 21 21 21&quot; 1245 如何显示12 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N4j3p.html" rel="bookmark" class="title">怎么让子窗口1内弹出的子窗口2显示在父窗口内</a>
					<div>
						问题描述 如题..当我点击子窗口1的快捷菜单时弹出子窗口2,但只有子窗口1是在父窗口里面的,子窗口2是在父窗口外怎么才能实现让子窗口2也出现在父窗口内呢? 解决方案 解决方案二: 用mdi子窗口或者s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEY0job.html" rel="bookmark" class="title">求助如何启动一个外部程序并设置其默认字体？</a>
					<div>
						问题描述 大体上来说就是启动一个外部程序,并改变其默认字体为自己指定的字体大体上来说其实是类似于Applocale.NTLEA和LocaleEmulator一样的转区了..因为想要改变一些软件的默认字 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
